Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Fri, 5 Jan 2024 00:35:28 +0000

On Thu, Jan 4, 2024 at 11:59 PM Stefan Monnier <[email-masked]> wrote:
>
> > I have to say that, practical advantages aside, I don't much fancy
> > this implicit derivation based on a name of a specific convention.
>
> Not sure what you're referring to.

Doh.  Shame on me for not reading the patch.  For some
silly reason I just assumed it was some trick on symbol-name
inside derived-mode-all-parents.

> > Why can't we go to the ts modes we control ourselves and  write in
> > this derivation?
>
> Isn't this what my patch does?

Sorry.  Well in that case, that takes care of one misgiving :-)
I suppose one way to proceed would be to try it out for some
time and be ready to revert it, or parts of it?  Maybe announce
on emacs-devel?

João